PQ2-LS(1)

NAME
pq2-ls - List the available datasets in a dataset meta-repository based on ROOT files

SYNOPSIS
pq2-ls [options] [datasets]

DESCRIPTION
This manual page documents briefly the pq2-ls program.

pq2-ls is a script invoking the pq2 ROOT application to list the available datasets in a dataset meta-repository based on ROOT files; the repository can be accessed via the local file system or a remote file server daemon or a PROOF facility.

More details about the underlying 'pq2' application can be found in the man page pq2(1).

ARGUMENTS

datasets
    The dataset or the datasets to be listed; the wildcards '*' is supported. By default, all the datasets in the repository are listed.

OPTIONS

-h, --help
    Display help information.

-k, --keep
    Keep the temporary files created during the analysis under $TMPDIR

-v  Verbose mode

--forcescan
    Force opening of the datasets are open to get the information; by default the pre-processed information is used, if any.

--noupdate
    In the case a cache is used, do not update the cache (may be slow on some servers).

--refresh
    Refresh the information (requires appropriate credentials; typically it can be done only for owned datasets).

-d <dataset>, --dataset=<dataset>
    Alternative way to define the dataset or the datasets to be listed.

-u <serverurl>, --url=<serverurl>
    URL of the PROOF master or data server providing the information; for data servers, it must include the directory. Can also be specified via the environment variables PQ2PROOFURL or PQ2DSSRVURL (see ENVIRONMENT VARIABLES)."

-t <dir>, --tmpdir=<dir>
    Directory for temporary files; defualt is /tmp/<username>.

FORMAT OF THE OUTPUT
The information printed by pq2-ls has the following format:
/group/user/dsname                        | # files |  /<def-tree> | # evts   | size     | staged fraction
for example
Dataset URI                               | # Files | Default tree | # Events |   Disk   | Staged
/PWG2/akisiel/Therminator_c2030           |     952 | /esdTree     |      927 |     4 GB |   97 %
The space reserved for the default tree name is 14 characters: for longer names the last character is substituded with a '>'.

ENVIRONMENT VARIABLES
See setup-pq2(1).

SEE ALSO
pq2(1), setup-pq2(1), pq2-ls-files(1), pq2-ls-files-server(1), pq2-info-server(1), pq2-ana-dist(1), pq2-put(1), pq2-verify(1), pq2-rm(1), pq2-cache(1)

For more information on the ROOT system, please refer to http://root.cern.ch (http://root.cern.ch/)

ORIGINAL AUTHORS
Gerardo Ganis for the ROOT team.

COPYRIGHT
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was originally written by Gerardo Ganis <gerardo.ganis@cern.ch>, for ROOT version 5.